Get products
curl --request GET \
--url https://api.yume.cloud/v1/shop/warehouses/products/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yume.cloud/v1/shop/warehouses/products/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yume.cloud/v1/shop/warehouses/products/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"group": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted": true,
"inventories_count": 0,
"inventories_free": 0,
"has_sublease": true,
"rent_count": "<string>",
"name": "<string>",
"category": 123,
"type": 0,
"price": "<string>",
"lifetime": -1,
"image": "<string>",
"unique_id": "<string>",
"barcode": "<string>",
"extra": "<unknown>",
"filters": [
"<string>"
],
"points": [
-1
],
"published": true,
"tarifs": [
{
"id": 123,
"name": "<string>",
"price": "<string>",
"time_period": 123
}
],
"disabled": 0,
"unit_type": "litre",
"unit_price": "<string>",
"unit_count": "<string>",
"unit_sum": "<string>"
},
"warehouse": 123,
"inventories": [
{
"id": 123,
"inventory": {
"id": 123,
"name": "<string>",
"subleases": [
{
"id": 123,
"inventory": 123,
"user": 123,
"percent": "<string>",
"is_current": true,
"created_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
}
],
"group": 123,
"unique_id": "<string>",
"category": 123,
"image": "<string>",
"extra": "<unknown>",
"state": 123,
"disabled": 0,
"rental_point": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"product_warehouse": 123,
"price_tax": "<string>",
"price": "<string>",
"status": 0,
"tenant": 123,
"created_by": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"counterparty_unit_count": 123,
"counterparty_unit_price": 123,
"counterparty": 123,
"amount": 1073741823,
"unit_price_sum": "<string>"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}warehouses
Get products
GET
/
v1
/
shop
/
warehouses
/
products
/
Get products
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры запроса
Несколько значений могут быть разделены запятыми.
Несколько значений могут быть разделены запятыми.
Несколько значений могут быть разделены запятыми.
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Несколько значений могут быть разделены запятыми.